| Version: 3.2.5

Classes | Macros
anybutton.h File Reference

## Classes

class | wxAnyButton
| A class for common button functionality used as the base for the various button classes. More...

## Macros

#define | wxBU_LEFT 0x0040
#define | wxBU_TOP 0x0080
#define | wxBU_RIGHT 0x0100
#define | wxBU_BOTTOM 0x0200
#define | wxBU_ALIGN_MASK ( wxBU_LEFT | wxBU_TOP | wxBU_RIGHT | wxBU_BOTTOM )
#define | wxBU_EXACTFIT 0x0001
#define | wxBU_NOTEXT 0x0002
#define | wxBU_AUTODRAW 0x0004
| Obsolete, has no effect. More...

## Macro Definition Documentation

## ◆ wxBU_ALIGN_MASK

#define wxBU_ALIGN_MASK ( wxBU_LEFT | wxBU_TOP | wxBU_RIGHT | wxBU_BOTTOM )

## ◆ wxBU_AUTODRAW

#define wxBU_AUTODRAW 0x0004

Obsolete, has no effect.

## ◆ wxBU_BOTTOM

#define wxBU_BOTTOM 0x0200

## ◆ wxBU_EXACTFIT

#define wxBU_EXACTFIT 0x0001

## ◆ wxBU_LEFT

#define wxBU_LEFT 0x0040

## ◆ wxBU_NOTEXT

#define wxBU_NOTEXT 0x0002

## ◆ wxBU_RIGHT

#define wxBU_RIGHT 0x0100

## ◆ wxBU_TOP

#define wxBU_TOP 0x0080